<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");


require_once("include/dbcommon.php");
require_once('classes/menupage.php');


Security::processLogoutRequest();
if( !isLogged() || Security::isGuest() ) 
{
	Security::tryRelogin();
}

if( !isLogged() )
{
	HeaderRedirect("login");
	return;
}


if (($_SESSION["MyURL"] == "") || (!Security::isGuest())) {
	Security::saveRedirectURL();
}


require_once('include/xtempl.php');
require_once(getabspath("classes/cipherer.php"));

include_once(getabspath("include/agence_events.php"));
$tableEvents["agence"] = new eventclass_agence;
include_once(getabspath("include/utilisateur_events.php"));
$tableEvents["utilisateur"] = new eventclass_utilisateur;
include_once(getabspath("include/plombier_events.php"));
$tableEvents["plombier"] = new eventclass_plombier;
include_once(getabspath("include/direction_events.php"));
$tableEvents["direction"] = new eventclass_direction;
include_once(getabspath("include/compteur_neuf_events.php"));
$tableEvents["compteur_neuf"] = new eventclass_compteur_neuf;
include_once(getabspath("include/compteurs_pour_labo_events.php"));
$tableEvents["compteurs_pour_labo"] = new eventclass_compteurs_pour_labo;
include_once(getabspath("include/compteurs_stock_events.php"));
$tableEvents["compteurs_stock"] = new eventclass_compteurs_stock;
include_once(getabspath("include/compteurs_a_affecter_events.php"));
$tableEvents["compteurs_a_affecter"] = new eventclass_compteurs_a_affecter;
include_once(getabspath("include/compteurs_affectes_events.php"));
$tableEvents["compteurs_affectes"] = new eventclass_compteurs_affectes;
include_once(getabspath("include/compteurs_a_poser_events.php"));
$tableEvents["compteurs_a_poser"] = new eventclass_compteurs_a_poser;
include_once(getabspath("include/compteur_neuf_lot_events.php"));
$tableEvents["compteur_neuf_lot"] = new eventclass_compteur_neuf_lot;
include_once(getabspath("include/compteur_dote_en_stock_events.php"));
$tableEvents["compteur_dote_en_stock"] = new eventclass_compteur_dote_en_stock;
include_once(getabspath("include/compteur_supprimes_events.php"));
$tableEvents["compteur_supprimes"] = new eventclass_compteur_supprimes;
include_once(getabspath("include/compteur_par_diametre_events.php"));
$tableEvents["compteur_par_diametre"] = new eventclass_compteur_par_diametre;
include_once(getabspath("include/nb_ctr_par_agence_events.php"));
$tableEvents["nb_ctr_par_agence"] = new eventclass_nb_ctr_par_agence;
include_once(getabspath("include/r_ctr_diam_events.php"));
$tableEvents["R_ctr_diam"] = new eventclass_r_ctr_diam;
include_once(getabspath("include/r_ctr_agence_events.php"));
$tableEvents["R_ctr_agence"] = new eventclass_r_ctr_agence;
include_once(getabspath("include/liste_compteur_en_stock_events.php"));
$tableEvents["liste_compteur_en_stock"] = new eventclass_liste_compteur_en_stock;
include_once(getabspath("include/historique_compteur_events.php"));
$tableEvents["historique_compteur"] = new eventclass_historique_compteur;
include_once(getabspath("include/recap_pose_events.php"));
$tableEvents["recap_pose"] = new eventclass_recap_pose;
include_once(getabspath("include/recap_depose_events.php"));
$tableEvents["recap_depose"] = new eventclass_recap_depose;
include_once(getabspath("include/recap_entree_events.php"));
$tableEvents["recap_entree"] = new eventclass_recap_entree;
include_once(getabspath("include/recap_reste_mois_events.php"));
$tableEvents["recap_reste_mois"] = new eventclass_recap_reste_mois;
include_once(getabspath("include/historique_fils_events.php"));
$tableEvents["historique_fils"] = new eventclass_historique_fils;
include_once(getabspath("include/vue_utilisateur_events.php"));
$tableEvents["vue_utilisateur"] = new eventclass_vue_utilisateur;
include_once(getabspath("include/compteur_pose_events.php"));
$tableEvents["compteur_pose"] = new eventclass_compteur_pose;
include_once(getabspath("include/rapport_remplacement_events.php"));
$tableEvents["rapport_remplacement"] = new eventclass_rapport_remplacement;
include_once(getabspath("include/pose_de_compteurs_events.php"));
$tableEvents["pose_de_compteurs"] = new eventclass_pose_de_compteurs;
include_once(getabspath("include/periodechoice_events.php"));
$tableEvents["periodechoice"] = new eventclass_periodechoice;
include_once(getabspath("include/rapport_remplacement_dr_events.php"));
$tableEvents["rapport_remplacement_dr"] = new eventclass_rapport_remplacement_dr;
include_once(getabspath("include/rapport_reprise_abonnement_events.php"));
$tableEvents["rapport_reprise_abonnement"] = new eventclass_rapport_reprise_abonnement;
include_once(getabspath("include/rpt_reprise_abonnement_events.php"));
$tableEvents["rpt_reprise_abonnement"] = new eventclass_rpt_reprise_abonnement;
include_once(getabspath("include/fils_ctrs_depose_events.php"));
$tableEvents["fils_ctrs_depose"] = new eventclass_fils_ctrs_depose;
include_once(getabspath("include/rpt_remplacement_ctr_events.php"));
$tableEvents["rpt_remplacement_ctr"] = new eventclass_rpt_remplacement_ctr;
include_once(getabspath("include/fils_pose_bcht_events.php"));
$tableEvents["fils_pose_bcht"] = new eventclass_fils_pose_bcht;
include_once(getabspath("include/fils_pose_reabon_events.php"));
$tableEvents["fils_pose_reabon"] = new eventclass_fils_pose_reabon;
include_once(getabspath("include/rpt_branchements_promo_events.php"));
$tableEvents["rpt_branchements_promo"] = new eventclass_rpt_branchements_promo;
include_once(getabspath("include/rpt_branchements_ordinaire_events.php"));
$tableEvents["rpt_branchements_ordinaire"] = new eventclass_rpt_branchements_ordinaire;
include_once(getabspath("include/periodechoice_rempl_events.php"));
$tableEvents["periodechoice_rempl"] = new eventclass_periodechoice_rempl;
include_once(getabspath("include/periodechoice_reab_events.php"));
$tableEvents["periodechoice_reab"] = new eventclass_periodechoice_reab;
include_once(getabspath("include/periodechoice_bcht_ordi_events.php"));
$tableEvents["periodechoice_bcht_ordi"] = new eventclass_periodechoice_bcht_ordi;
include_once(getabspath("include/periodechoice_bcht_promo_events.php"));
$tableEvents["periodechoice_bcht_promo"] = new eventclass_periodechoice_bcht_promo;
include_once(getabspath("include/stock_compteurs_events.php"));
$tableEvents["stock_compteurs"] = new eventclass_stock_compteurs;
include_once(getabspath("include/recap_entree_ag_events.php"));
$tableEvents["recap_entree_ag"] = new eventclass_recap_entree_ag;
include_once(getabspath("include/recap_depose_ag_events.php"));
$tableEvents["recap_depose_ag"] = new eventclass_recap_depose_ag;
include_once(getabspath("include/recap_pose_ag_events.php"));
$tableEvents["recap_pose_ag"] = new eventclass_recap_pose_ag;
include_once(getabspath("include/recap_reste_mois_ag_events.php"));
$tableEvents["recap_reste_mois_ag"] = new eventclass_recap_reste_mois_ag;
include_once(getabspath("include/select_ctr_a_affecter_events.php"));
$tableEvents["select_ctr_a_affecter"] = new eventclass_select_ctr_a_affecter;
include_once(getabspath("include/transfert_events.php"));
$tableEvents["transfert"] = new eventclass_transfert;
include_once(getabspath("include/select_ctr_a_transf_events.php"));
$tableEvents["select_ctr_a_transf"] = new eventclass_select_ctr_a_transf;
include_once(getabspath("include/transf_agence_events.php"));
$tableEvents["transf_agence"] = new eventclass_transf_agence;
include_once(getabspath("include/transfert_recu_events.php"));
$tableEvents["transfert_recu"] = new eventclass_transfert_recu;
include_once(getabspath("include/transfert_envoye_events.php"));
$tableEvents["transfert_envoye"] = new eventclass_transfert_envoye;
include_once(getabspath("include/transfert_refuse_events.php"));
$tableEvents["transfert_refuse"] = new eventclass_transfert_refuse;
include_once(getabspath("include/transf_a_valider_events.php"));
$tableEvents["transf_a_valider"] = new eventclass_transf_a_valider;
include_once(getabspath("include/transfert_en_instance_events.php"));
$tableEvents["transfert_en_instance"] = new eventclass_transfert_en_instance;
include_once(getabspath("include/transfert_valide_events.php"));
$tableEvents["transfert_valide"] = new eventclass_transfert_valide;
include_once(getabspath("include/transfert_cancelation_events.php"));
$tableEvents["transfert_cancelation"] = new eventclass_transfert_cancelation;
include_once(getabspath("include/select_ctr_a_doter_events.php"));
$tableEvents["select_ctr_a_doter"] = new eventclass_select_ctr_a_doter;
include_once(getabspath("include/compteurdir_a_doter_events.php"));
$tableEvents["compteurdir_a_doter"] = new eventclass_compteurdir_a_doter;
include_once(getabspath("include/compteur_en_stock_dir_events.php"));
$tableEvents["compteur_en_stock_dir"] = new eventclass_compteur_en_stock_dir;
include_once(getabspath("include/compteur_en_stock_dir_ancien_events.php"));
$tableEvents["compteur_en_stock_dir_ancien"] = new eventclass_compteur_en_stock_dir_ancien;
include_once(getabspath("include/depose_de_compteurs_events.php"));
$tableEvents["depose_de_compteurs"] = new eventclass_depose_de_compteurs;
include_once(getabspath("include/select_ctr_a_declasser_events.php"));
$tableEvents["select_ctr_a_declasser"] = new eventclass_select_ctr_a_declasser;
include_once(getabspath("include/accueil_events.php"));
$tableEvents["accueil"] = new eventclass_accueil;
include_once(getabspath("include/depose_a_valider_events.php"));
$tableEvents["depose_a_valider"] = new eventclass_depose_a_valider;
include_once(getabspath("include/depose_a_approuver_events.php"));
$tableEvents["depose_a_approuver"] = new eventclass_depose_a_approuver;
include_once(getabspath("include/depose_approuvee_events.php"));
$tableEvents["depose_approuvee"] = new eventclass_depose_approuvee;
include_once(getabspath("include/depose_validee_events.php"));
$tableEvents["depose_validee"] = new eventclass_depose_validee;

$xt = new Xtempl();

//array of params for classes
$params = array();
$params["id"] = postvalue_number("id"); 
$params["xt"] = &$xt;
$params["tName"] = GLOBAL_PAGES;
$params["pageType"] = PAGE_MENU;
$params["isGroupSecurity"] = $isGroupSecurity;
$params["needSearchClauseObj"] = false;
$params["pageName"] = postvalue("page"); 

$pageObject = new MenuPage($params);
$pageObject->init();

$pageObject->process();
?>