<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");

require_once("include/dbcommon.php");
require_once("classes/button.php");

//	CSRF protection
if( !isPostRequest() )
	return;

$params = (array)my_json_decode(postvalue('params'));

if( $params["_base64fields"] ) {
	foreach( $params["_base64fields"] as $f ) {
		$params[$f] = base64_str2bin( $params[$f] );
	}
}

$buttId = $params['buttId'];
$eventId = postvalue('event');
$table = $params['table'];
if( !GetTableURL( $table ) ) {
	exit;
}
$page = $params['page'];
if( !Security::userCanSeePage($table, $page ) ) {
	exit;
}

$pSet = new ProjectSettings( $table, "", $page );
if( $buttId ) {
	$pageButtons = $pSet->customButtons();
	if( array_search( $buttId , $pageButtons ) === false ) {
		exit;
	}
}

$params["masterTable"] = postValue("masterTable");;
$params["masterKeys"] = array();
// RunnerPage::readMasterKeysFromRequest
$i = 1;
while( isset( $_REQUEST["masterkey".$i] ) ) {
	$params["masterKeys"][ $i ] = $_REQUEST["masterkey".$i];
	$i++;
}


if($buttId=='AjoutLot')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_AjoutLot($params);
}
if($buttId=='Affectationcompteur')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_Affectationcompteur($params);
}
if($buttId=='CompteursAffectes')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_CompteursAffectes($params);
}
if($buttId=='CompteurPoses')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_CompteurPoses($params);
}
if($buttId=='NouvelPose')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_NouvelPose($params);
}
if($buttId=='ChoixPeriodeChangeReport')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_ChoixPeriodeChangeReport($params);
}
if($buttId=='FermerPopup')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_FermerPopup($params);
}
if($buttId=='Print_PDF')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_Print_PDF($params);
}
if($buttId=='rpt_rempl')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_rpt_rempl($params);
}
if($buttId=='rpt_reab')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_rpt_reab($params);
}
if($buttId=='rpt_brt_ordi')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_rpt_brt_ordi($params);
}
if($buttId=='rpt_brt_promo')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_rpt_brt_promo($params);
}
if($buttId=='TransfertCompteur')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_TransfertCompteur($params);
}
if($buttId=='ValiderTransfert')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_ValiderTransfert($params);
}
if($buttId=='CounterCTR')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_CounterCTR($params);
}
if($buttId=='AnnulerTrasnfert')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_AnnulerTrasnfert($params);
}
if($buttId=='ApprouverTransfert')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_ApprouverTransfert($params);
}
if($buttId=='DotationCompteur')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_DotationCompteur($params);
}
if($buttId=='AnnulerDotation')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_AnnulerDotation($params);
}
if($buttId=='DeclasserCompteur')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_DeclasserCompteur($params);
}
if($buttId=='Print_Note')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_Print_Note($params);
}
if($buttId=='Print_EtatMensuel')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_Print_EtatMensuel($params);
}
if($buttId=='PrintStock')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_PrintStock($params);
}
if($buttId=='PrintEtatMensAg')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_PrintEtatMensAg($params);
}
if($buttId=='backup_bdd')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_backup_bdd($params);
}
if($buttId=='ValidataionDepose')
{
	//  for login page users table can be turned off
	if( $table != GLOBAL_PAGES )
	{
		require_once("include/". GetTableURL( $table ) ."_variables.php");
		$cipherer = new RunnerCipherer( $table );
	}
	buttonHandler_ValidataionDepose($params);
}

if( $eventId == 'PartieNum_event' && "compteur_neuf_lot" == $table )
{
	require_once("include/compteur_neuf_lot_variables.php");
	$cipherer = new RunnerCipherer("compteur_neuf_lot");
	fieldEventHandler_PartieNum_event( $params );
}
if( $eventId == 'LenthAbonne' && "compteurs_pour_labo" == $table )
{
	require_once("include/compteurs_pour_labo_variables.php");
	$cipherer = new RunnerCipherer("compteurs_pour_labo");
	fieldEventHandler_LenthAbonne( $params );
}
if( $eventId == 'LenthAbonne' && "compteurs_a_poser" == $table )
{
	require_once("include/compteurs_a_poser_variables.php");
	$cipherer = new RunnerCipherer("compteurs_a_poser");
	fieldEventHandler_LenthAbonne( $params );
}
if( $eventId == 'LenthAbonne' && "compteur_pose" == $table )
{
	require_once("include/compteur_pose_variables.php");
	$cipherer = new RunnerCipherer("compteur_pose");
	fieldEventHandler_LenthAbonne( $params );
}
if( $eventId == 'LenthAbonne' && "compteur_en_stock_dir_ancien" == $table )
{
	require_once("include/compteur_en_stock_dir_ancien_variables.php");
	$cipherer = new RunnerCipherer("compteur_en_stock_dir_ancien");
	fieldEventHandler_LenthAbonne( $params );
}
if( $eventId == 'LenthAbonne1' && "compteurs_pour_labo" == $table )
{
	require_once("include/compteurs_pour_labo_variables.php");
	$cipherer = new RunnerCipherer("compteurs_pour_labo");
	fieldEventHandler_LenthAbonne1( $params );
}
if( $eventId == 'LenthAbonne1' && "compteurs_a_poser" == $table )
{
	require_once("include/compteurs_a_poser_variables.php");
	$cipherer = new RunnerCipherer("compteurs_a_poser");
	fieldEventHandler_LenthAbonne1( $params );
}
if( $eventId == 'LenthAbonne1' && "compteur_pose" == $table )
{
	require_once("include/compteur_pose_variables.php");
	$cipherer = new RunnerCipherer("compteur_pose");
	fieldEventHandler_LenthAbonne1( $params );
}
if( $eventId == 'LenthAbonne1' && "compteur_en_stock_dir_ancien" == $table )
{
	require_once("include/compteur_en_stock_dir_ancien_variables.php");
	$cipherer = new RunnerCipherer("compteur_en_stock_dir_ancien");
	fieldEventHandler_LenthAbonne1( $params );
}
if( $eventId == 'TypeBcht_event' && "pose_de_compteurs" == $table )
{
	require_once("include/pose_de_compteurs_variables.php");
	$cipherer = new RunnerCipherer("pose_de_compteurs");
	fieldEventHandler_TypeBcht_event( $params );
}
if( $eventId == 'CountNumCTR_event' && "select_ctr_a_affecter" == $table )
{
	require_once("include/select_ctr_a_affecter_variables.php");
	$cipherer = new RunnerCipherer("select_ctr_a_affecter");
	fieldEventHandler_CountNumCTR_event( $params );
}
if( $eventId == 'CountNumCTR_event' && "select_ctr_a_transf" == $table )
{
	require_once("include/select_ctr_a_transf_variables.php");
	$cipherer = new RunnerCipherer("select_ctr_a_transf");
	fieldEventHandler_CountNumCTR_event( $params );
}
if( $eventId == 'CountNumCTR_event' && "select_ctr_a_doter" == $table )
{
	require_once("include/select_ctr_a_doter_variables.php");
	$cipherer = new RunnerCipherer("select_ctr_a_doter");
	fieldEventHandler_CountNumCTR_event( $params );
}
if( $eventId == 'CountNumCTR_event' && "compteurdir_a_doter" == $table )
{
	require_once("include/compteurdir_a_doter_variables.php");
	$cipherer = new RunnerCipherer("compteurdir_a_doter");
	fieldEventHandler_CountNumCTR_event( $params );
}
if( $eventId == 'CountNumCTR_event' && "select_ctr_a_declasser" == $table )
{
	require_once("include/select_ctr_a_declasser_variables.php");
	$cipherer = new RunnerCipherer("select_ctr_a_declasser");
	fieldEventHandler_CountNumCTR_event( $params );
}




// create table and non table handlers
function buttonHandler_AjoutLot($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_Affectationcompteur($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_CompteursAffectes($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_CompteurPoses($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_NouvelPose($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_ChoixPeriodeChangeReport($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_FermerPopup($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_Print_PDF($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_rpt_rempl($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	$_SESSION['rpt_type']='repl'; ;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_rpt_reab($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	$_SESSION['rpt_type']='reab'; ;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_rpt_brt_ordi($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	$_SESSION['rpt_type']='ordi';;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_rpt_brt_promo($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	$_SESSION['rpt_type']='promo'; ;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_TransfertCompteur($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_ValiderTransfert($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	$data = $button->getCurrentRecord();


$CodeUnique=$data["SecteurFrom"].$data["SecteurTo"].$data["DateTransf"];

		//Recuperer le tranfert corespondant à l'origine, la destination et la date
		$sql="SELECT iDTransfert, CompteurID 
			FROM transfert 
			WHERE Concat(SecteurFrom,SecteurTo,DateTransf)='$CodeUnique'";
		$rs1=CustomQuery($sql);

$LeCompteur=0;
	While($data1=db_fetch_array($rs1)) 
	{
$LeCompteur=$LeCompteur+1;
		//Mettre à jour la validation des diffrents compteurs transférés dans transfert
				$upd_transf = array();
				$upd_transf["RespValidTransf"]= $_SESSION["iDUtilisateur"];
				$upd_transf["DateValidTransf"]= Now();
				$upd_transf["Valider"]= 1;
				$keyvalues["iDTransfert"] = $data1["iDTransfert"];
				DB::Update("transfert", $upd_transf, $keyvalues );

		}
			//Recupérer le texte à partir de la 10iem position
	$AgenceA = substr($data["LibAgenceFrom"], 10, strlen($data["LibAgenceFrom"])-10);
	$AgenceB = substr($data["LibAgenceTo"], 10, strlen($data["LibAgenceTo"])-10);


	if($data["AgenceFrom"]==$data["AgenceTo"])
	{
	$result['Mess'] = 'Vous avez validé le transfert de '.$LeCompteur.' compteurs, du '.$data["LibSecteurFrom"].
	' vers le '.$data["LibSecteurTo"].', de l\'agence '.$AgenceA."."; 
	}
	else
	{
	$result['Mess'] = 'Vous avez validé le transfert de '.$LeCompteur.' compteurs, du '.$data["LibSecteurFrom"].
	' de l\'agence '.$AgenceA.' vers le '.$data["LibSecteurTo"].' de l\'agence '.$AgenceB."."; 
	}

;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_CounterCTR($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	
$result["NumCTR"]=$params["NumCTR"];
$result["NbCTR"]= $params["NbCTR"];
;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_AnnulerTrasnfert($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	$data = $button->getCurrentRecord();

$CodeUnique=$data["SecteurFrom"].$data["SecteurTo"].$data["DateTransf"];
$_SESSION["ConditionTransf"]=$data["SecteurFrom"].$data["SecteurTo"].$data["DateTransf"];

$sql="SELECT iDTransfert, CompteurID FROM transfert WHERE Concat(SecteurFrom,SecteurTo,DateTransf)='$CodeUnique'";
$rs1=CustomQuery($sql);

$LeCompteur=0;
	While($data1=db_fetch_array($rs1)) 
	{
	$LeCompteur++; // Compter le nombre de compteur
	}

			//Recupérer le texte à partir de la 10iem position
			$AgenceA = substr($data["LibAgenceFrom"], 10, strlen($data["LibAgenceFrom"])-10);
			$AgenceB = substr($data["LibAgenceTo"], 10, strlen($data["LibAgenceTo"])-10);


	if($data["AgenceFrom"]==$data["AgenceTo"])
	{
	$result['Mess'] = 'Transfert de '.$LeCompteur.' compteurs, du '.$data["LibSecteurFrom"].
	' vers le '.$data["LibSecteurTo"].', de l\'agence '.$AgenceA."."; 
	}
	else
	{
	$result['Mess'] = 'Transfert de '.$LeCompteur.' compteurs du '.$data["LibSecteurFrom"].
	' de l\'agence '.$AgenceA.' vers le '.$data["LibSecteurTo"].' de l\'agence '.$AgenceB."."; 
	}

	$result["LibSecteurFrom"]=$data["LibSecteurFrom"];
	$result["LibSecteurTo"]=$data["LibSecteurTo"];
	$_SESSION["RecapTexte"]=$result['Mess'];;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_ApprouverTransfert($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	
$data = $button->getCurrentRecord();

$result['Valider']=$data["Valider"];


if($result['Valider']==1) // Si transfert validé par magasinier
{
		$CodeUnique=$data["SecteurFrom"].$data["SecteurTo"].$data["DateTransf"];

			//Recuperer le tranfert corespondant à l'origine, la destination et la date
			$sql="SELECT iDTransfert, CompteurID 
				FROM transfert 
				WHERE Concat(SecteurFrom,SecteurTo,DateTransf)='$CodeUnique'";
			$rs1=CustomQuery($sql);

	$LeCompteur=0;
		While($data1=db_fetch_array($rs1)) 
		{
	$LeCompteur=$LeCompteur+1;
			//Mettre à jour l'approbation des diffrents compteurs transférés dans transfert
					$upd_transf = array();
					$upd_transf["RespApprobTransf"]= $_SESSION["iDUtilisateur"];
					$upd_transf["DateApprobTransf"]= Now();
					$upd_transf["Approuver"]= 1;
					$keyvalues["iDTransfert"] = $data1["iDTransfert"];
					DB::Update("transfert", $upd_transf, $keyvalues );
			//Mettre à jour les diffrents compteurs transférés dans compteur avec leur nouveau secteur
					$upd_compteur = array();
					$upd_compteur["SecteurID"]= $data["SecteurTo"];
					$upd_compteur["AgenceID"]= $data["AgenceTo"];
					$upd_compteur["EnTransfert"]= 0;
					$keyvalues["iDcompteur"] = $data1["CompteurID"];
					DB::Update("compteur", $upd_compteur, $keyvalues );
			}
				//Recupérer le texte à partir de la 10iem position
		$AgenceA = substr($data["LibAgenceFrom"], 10, strlen($data["LibAgenceFrom"])-10);
		$AgenceB = substr($data["LibAgenceTo"], 10, strlen($data["LibAgenceTo"])-10);


		if($data["AgenceFrom"]==$data["AgenceTo"])
		{
		$result['Mess'] = 'Vous avez clôturé le transfert de '.$LeCompteur.' compteurs, du '.$data["LibSecteurFrom"].
		' vers le '.$data["LibSecteurTo"].', de l\'agence '.$AgenceA."."; 
		}
		else
		{
		$result['Mess'] = 'Vous avez clôturé le transfert de '.$LeCompteur.' compteurs, du '.$data["LibSecteurFrom"].
		' de l\'agence '.$AgenceA.' vers le '.$data["LibSecteurTo"].' de l\'agence '.$AgenceB."."; 
		}
}
;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_DotationCompteur($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_AnnulerDotation($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	

while($record = $button->getNextSelectedRecord())
{
  $message = "Dear ".$record["iDcompteur"];

// Verifier si le compteur est déja affecté
$sql="SELECT NumCTR FROM compteur 
WHERE (AffecteCTR =1 or EnTransfert=1) AND iDcompteur='".$record["iDcompteur"]."'";
$rs0 = CustomQuery($sql);
$data0 = db_fetch_array($rs0);
	if($data0)	//Si exite, insert dans table doublon les compteurs affectés pour juste afficher
	{
		global $dal;
		$tblEvents = $dal->Table("ctr_doublon");
		$tblEvents->Value["NumCTR"]=$data0['NumCTR'];
		$tblEvents->Add();
	}
	else 
	{
//Mise à jour l'annulation de la dotation au secteur
				$sql="UPDATE compteur SET 
							DotationSecteur=0,
							DateDotation ='',
							RespDotation ='',
							SecteurID='',
							AgenceID='', 
							RespModif='',
							DateModif='' 
							WHERE iDcompteur='".$record["iDcompteur"]."'";
				CustomQuery($sql);

	}
}

//Recupérer mes compteurs non modifiés
$sql="SELECT NumCTR FROM ctr_doublon";
$rs2 = CustomQuery($sql);
$LesCompteurs="";
while($data2= db_fetch_array($rs2))
{
$n++;
$LesCompteurs.=$data2["NumCTR"].' ';
}
$result['Nb']=$n;
if (strlen($LesCompteurs)>4) {
$result['NonModif']=$LesCompteurs;

}

$sql="TRUNCATE ctr_doublon";
CustomQuery($sql);
;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_DeclasserCompteur($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_Print_Note($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_Print_EtatMensuel($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	
$siteweburl = $_SESSION["siteweb_url"];
$SignDR=$siteweburl.'/sign_dr.png' ;
$SignEBE=$siteweburl.'/sign_ebe.png' ;
$logo = $siteweburl.'/images/logo.png';

//Titre des tableaux de agnece 
$ag_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois entrée</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Agence</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>CTR Neuf</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Ancien bon</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Ancien mauvais</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Total Ancien</strong></td>
									<td style="text-align:center; background: lightgray; white-space:nowrap;"><strong>Total entrée</strong></td>
								</tr>
							</thead>';//CTR Entrées
$cd_ag_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois entrée</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Agence</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Dépose bon</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Dépose mauvais</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Total Dépose</strong></td>
								</tr>
							</thead>'; //CTR Déposés
$P_ag_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois de pose</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Agence</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Pose Neuf</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Pose Ancien</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Total Pose</strong></td>
								</tr>
							</thead>'; //CTR Posés
$R_ag_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois entrée</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Agence</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Reste Neuf</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Reste Ancien</strong></td>
									<td style="text-align:center; background: lightgray; white-space:nowrap;"><strong>Reste total</strong></td>
								</tr>
							</thead>'; //CTR Reste du mois

// Titre des tableaux de secteur
$sect_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois entrée</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Secteur</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>CTR Neuf</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Ancien bon</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Ancien mauvais</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Total Ancien</strong></td>
									<td style="text-align:center; background: lightgray; white-space:nowrap;"><strong>Total entrée</strong></td>
								</tr>
							</thead>';//CTR Entrées
$cd_sect_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois entrée</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Secteur</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Dépose bon</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Dépose mauvais</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Total Dépose</strong></td>
								</tr>
							</thead>'; //CTR Déposés
$P_sect_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois de pose</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Secteur</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Pose Neuf</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Pose Ancien</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Total Pose</strong></td>
								</tr>
							</thead>'; //CTR Posés
$R_sect_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois entrée</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Secteur</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Reste Neuf</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Reste Ancien</strong></td>
									<td style="text-align:center; background: lightgray; white-space:nowrap;"><strong>Reste total</strong></td>
								</tr>
							</thead>'; //CTR Reste du mois


// Recap entrée du mois de la direction
$dirsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
COUNT(CASE WHEN Reutilisable='Non' THEN 0 END) AS HorsUsage,
COUNT(CASE WHEN Reutilisable='Oui' THEN 0 END) AS AncienBon,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree
FROM compteur
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree,'%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0)
GROUP BY compteur.DirectionID";
$dirrs = CustomQuery($dirsql);
$dirdata = db_fetch_array($dirrs);
// Recap rest du mois de la direction
$R_dirsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
agence.NomAgence AS LieuEntree,
compteur.DotationSecteur
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0)  AND (compteur.DotationSecteur=0) AND (compteur.PoseCTR =0) AND (compteur.MisAuRebus =0)
GROUP BY compteur.DirectionID";
$R_dirrs = CustomQuery($R_dirsql);
$R_dirdata = db_fetch_array($R_dirrs);


// RECAP PAR AGENCE
$agsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
COUNT(CASE WHEN Reutilisable='Non' THEN 0 END) AS HorsUsage,
COUNT(CASE WHEN Reutilisable='Oui' THEN 0 END) AS AncienBon,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
agence.NomAgence AS LieuEntree,
compteur.DotationSecteur
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0) and compteur.DotationSecteur=1
GROUP BY compteur.AgenceID
ORDER BY compteur.AgenceID"; // Entrées du mois
$agrs = CustomQuery($agsql);

while($agdata = db_fetch_array($agrs))
{
$In_ParAgence.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$agdata["MoisEntree"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$agdata["LieuEntree"].'</strong></td>
			<td style="text-align: center; "><strong>'.$agdata["NbEntreeNeuf"].'</strong></td>
			<td style="text-align: center; ">'.$agdata["AncienBon"].'</td>
			<td style="text-align: center; ">'.$agdata["HorsUsage"].'</td>
			<td style="text-align: center; "><strong>'.$agdata["EntreeAncien"].'</strong></td>
			<td style="text-align: center; "><strong>'.$agdata["NbEntree"].'</strong></td>
	</tr>';
$ag_NbEntreeNeuf=$ag_NbEntreeNeuf+$agdata["NbEntreeNeuf"];
$ag_AncienBon=$ag_AncienBon+$agdata["AncienBon"];
$ag_HorsUsage=$ag_HorsUsage+$agdata["HorsUsage"];
$ag_EntreeAncien=$ag_EntreeAncien+$agdata["EntreeAncien"];
$ag_NbEntree=$ag_NbEntree+$agdata["NbEntree"];
}
$In_ParAgence.=
	'<tr style="background: lightgray;">
		<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Total dotation aux agences</strong></td>
		<td style="text-align:center; "><strong>'.$ag_NbEntreeNeuf.'</strong></td>
			<td style="text-align: center; "><strong>'.$ag_AncienBon.'</strong></td>
			<td style="text-align: center; "><strong>'.$ag_HorsUsage.'</strong></td>
		<td style="text-align:center; "><strong>'.$ag_EntreeAncien.'</strong></td>
		<td style="text-align:center; "><strong>'.$ag_NbEntree.'</strong></td>
	</tr>
	<tr><td colspan="7";> </td></tr>
	<tr style="background: lightgray;">
			<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Entrée à la D.D.A.L.</strong></td>
			<td style="text-align:center; "><strong>'.$dirdata["NbEntreeNeuf"].'</strong></td>
				<td style="text-align: center; "><strong>'.$dirdata["AncienBon"].'</strong></td>
				<td style="text-align: center; "><strong>'.$dirdata["HorsUsage"].'</strong></td>
			<td style="text-align:center; "><strong>'.$dirdata["EntreeAncien"].'</strong></td>
			<td style="text-align:center; "><strong>'.$dirdata["NbEntree"].'</strong></td>
		</tr>
</tbody>';

$cd_agsql="SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN Reutilisable='Non' THEN 0 END) AS HorsUsage,
COUNT(CASE WHEN Reutilisable='Oui' THEN 0 END) AS AncienBon,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
agence.NomAgence AS LieuEntree
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurOrigineCD = secteur.iDSecteur
INNER JOIN agence ON compteur.AgenceOrigineCD = agence.iDAgence
INNER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0) AND (compteur.MotifDeposeID >0)
GROUP BY compteur.AgenceID
ORDER BY compteur.AgenceID";
$cd_agtrs = CustomQuery($cd_agsql); //dépose du mois

while($cd_agdata = db_fetch_array($cd_agtrs))
{
$cd_ParAgence.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$cd_agdata["MoisEntree"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$cd_agdata["LieuEntree"].'</strong></td>
			<td style="text-align: center; ">'.$cd_agdata["AncienBon"].'</td>
			<td style="text-align: center; ">'.$cd_agdata["HorsUsage"].'</td>
			<td style="text-align: center; "><strong>'.$cd_agdata["NbEntree"].'</strong></td>
	</tr>';
$cd_ag_AncienBon=$cd_ag_AncienBon+$cd_agdata["AncienBon"];
$cd_ag_HorsUsage=$cd_ag_HorsUsage+$cd_agdata["HorsUsage"];
$cd_ag_NbEntree=$cd_ag_NbEntree+$cd_agdata["NbEntree"];
}
$cd_ParAgence.=
	'<tr><td colspan="5";> </td></tr>
	<tr style="background: lightgray;">
		<td colspan="2";  style="text-align:left;  white-space:nowrap;"><strong>Total des déposes de la D.D.A.L.</strong></td>
			<td style="text-align: center; "><strong>'.$cd_ag_AncienBon.'</strong></td>
			<td style="text-align: center; "><strong>'.$cd_ag_HorsUsage.'</strong></td>
		<td style="text-align:center; "><strong>'.$cd_ag_NbEntree.'</strong></td>
	</tr>
</tbody>';

$P_agsql="SELECT
COUNT(compteur.NumCTR) AS NbPose,
COUNT(compteur.MotifDeposeID) AS NbPoseANCTR,
Count(PoseCTR)-Count(MotifDeposeID) AS NbPoseNVXCTR,
DATE_FORMAT(DatePose, '%m/%Y') AS MoisPose,
agence.NomAgence AS Lieu
FROM compteur
INNER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
INNER JOIN agence ON compteur.AgenceID = agence.iDAgence
WHERE (compteur.PoseCTR =1) AND (DATE_FORMAT(DatePose, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0) AND (compteur.MisAuRebus =0)
GROUP BY compteur.AgenceID
ORDER BY compteur.AgenceID"; //pose du mois
$P_agrs = CustomQuery($P_agsql);

while($P_agdata = db_fetch_array($P_agrs))
{
$P_ParAgence.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$P_agdata["MoisPose"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$P_agdata["Lieu"].'</strong></td>
			<td style="text-align: center; ">'.$P_agdata["NbPoseNVXCTR"].'</td>
			<td style="text-align: center; ">'.$P_agdata["NbPoseANCTR"].'</td>
			<td style="text-align: center; "><strong>'.$P_agdata["NbPose"].'</strong></td>
	</tr>';
$P_ag_NbPoseNVXCTR=$P_ag_NbPoseNVXCTR+$P_agdata["NbPoseNVXCTR"];
$P_ag_NbPoseANCTR=$P_ag_NbPoseANCTR+$P_agdata["NbPoseANCTR"];
$P_ag_NbPose=$P_ag_NbPose+$P_agdata["NbPose"];
}
$P_ParAgence.=
	'<tr><td colspan="5";> </td></tr>
	<tr style="background: lightgray;">
		<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Total des pose de la D.D.A.L.</strong></td>
			<td style="text-align: center; "><strong>'.$P_ag_NbPoseNVXCTR.'</strong></td>
			<td style="text-align: center; "><strong>'.$P_ag_NbPoseANCTR.'</strong></td>
		<td style="text-align:center; "><strong>'.$P_ag_NbPose.'</strong></td>
	</tr>
</tbody>';

$R_agsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
agence.NomAgence AS LieuEntree,
compteur.DotationSecteur
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0)  AND (compteur.DotationSecteur=1) AND (compteur.PoseCTR =0) AND (compteur.MisAuRebus =0)
GROUP BY compteur.AgenceID
ORDER BY compteur.AgenceID"; // Reste des entrée du mois
$R_agrs = CustomQuery($R_agsql);

while($R_agdata = db_fetch_array($R_agrs))
{
$R_ParAgence.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$R_agdata["MoisEntree"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$R_agdata["LieuEntree"].'</strong></td>
			<td style="text-align: center; "><strong>'.$R_agdata["NbEntreeNeuf"].'</strong></td>
			<td style="text-align: center; "><strong>'.$R_agdata["EntreeAncien"].'</strong></td>
			<td style="text-align: center; "><strong>'.$R_agdata["NbEntree"].'</strong></td>
	</tr>';
$R_ag_NbEntreeNeuf=$R_ag_NbEntreeNeuf+$R_agdata["NbEntreeNeuf"];
$R_ag_EntreeAncien=$R_ag_EntreeAncien+$R_agdata["EntreeAncien"];
$R_ag_NbEntree=$R_ag_NbEntree+$R_agdata["NbEntree"];
}
$R_ParAgence.=
	'<tr style="background: lightgray;">
		<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Total dotation aux agences</strong></td>
		<td style="text-align:center; "><strong>'.$R_ag_NbEntreeNeuf.'</strong></td>
		<td style="text-align:center; "><strong>'.$R_ag_EntreeAncien.'</strong></td>
		<td style="text-align:center; "><strong>'.$R_ag_NbEntree.'</strong></td>
	</tr>
	<tr><td colspan="5";> </td></tr>
	<tr style="background: lightgray;">
			<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Reste Entrée du mois à la D.D.A.L.</strong></td>
			<td style="text-align:center; "><strong>'.$R_dirdata["NbEntreeNeuf"].'</strong></td>
			<td style="text-align:center; "><strong>'.$R_dirdata["EntreeAncien"].'</strong></td>
			<td style="text-align:center; "><strong>'.$R_dirdata["NbEntree"].'</strong></td>
		</tr>
</tbody>';


// RECAP PAR SECTEUR
$sectsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
COUNT(CASE WHEN Reutilisable='Non' THEN 0 END) AS HorsUsage,
COUNT(CASE WHEN Reutilisable='Oui' THEN 0 END) AS AncienBon,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
secteur.SecteurSection AS LieuEntree
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0) and compteur.DotationSecteur=1
GROUP BY compteur.SecteurID
ORDER BY compteur.AgenceID"; //entrée du mois 
$sectrs = CustomQuery($sectsql);

while($sectdata = db_fetch_array($sectrs))
{
$In_ParSecteur.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$sectdata["MoisEntree"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$sectdata["LieuEntree"].'</strong></td>
			<td style="text-align: center; "><strong>'.$sectdata["NbEntreeNeuf"].'</strong></td>
			<td style="text-align: center; ">'.$sectdata["AncienBon"].'</td>
			<td style="text-align: center; ">'.$sectdata["HorsUsage"].'</td>
			<td style="text-align: center; "><strong>'.$sectdata["EntreeAncien"].'</strong></td>
			<td style="text-align: center; "><strong>'.$sectdata["NbEntree"].'</strong></td>
	</tr>';
$sect_NbEntreeNeuf=$sect_NbEntreeNeuf+$sectdata["NbEntreeNeuf"];
$sect_AncienBon=$sect_AncienBon+$sectdata["AncienBon"];
$sect_HorsUsage=$sect_HorsUsage+$sectdata["HorsUsage"];
$sect_EntreeAncien=$sect_EntreeAncien+$sectdata["EntreeAncien"];
$sect_NbEntree=$sect_NbEntree+$sectdata["NbEntree"];
}
$In_ParSecteur.=
	'<tr style="background: lightgray;">
		<td colspan="2";  style="text-align:left;  white-space:nowrap;"><strong>Total dotation aux agences</strong></td>
		<td style="text-align:center; "><strong>'.$sect_NbEntreeNeuf.'</strong></td>
			<td style="text-align: center; "><strong>'.$sect_AncienBon.'</strong></td>
			<td style="text-align: center; "><strong>'.$sect_HorsUsage.'</strong></td>
		<td style="text-align:center; "><strong>'.$sect_EntreeAncien.'</strong></td>
		<td style="text-align:center; "><strong>'.$sect_NbEntree.'</strong></td>
	</tr>
	<tr><td colspan="7";> </td></tr>
	<tr style="background: lightgray;">
		<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Entrée à la D.D.A.L.</strong></td>
		<td style="text-align:center; "><strong>'.$dirdata["NbEntreeNeuf"].'</strong></td>
		<td style="text-align: center; "><strong>'.$dirdata["AncienBon"].'</strong></td>
		<td style="text-align: center; "><strong>'.$dirdata["HorsUsage"].'</strong></td>
		<td style="text-align:center; "><strong>'.$dirdata["EntreeAncien"].'</strong></td>
		<td style="text-align:center; "><strong>'.$dirdata["NbEntree"].'</strong></td>
	</tr>
</tbody>';

$cd_sectsql="SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN Reutilisable='Non' THEN 0 END) AS HorsUsage,
COUNT(CASE WHEN Reutilisable='Oui' THEN 0 END) AS AncienBon,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
secteur.SecteurSection AS LieuEntree
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurOrigineCD = secteur.iDSecteur
INNER JOIN agence ON compteur.AgenceOrigineCD = agence.iDAgence
INNER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0) AND (compteur.MotifDeposeID >0)
GROUP BY compteur.SecteurID
ORDER BY compteur.AgenceID"; //dépose du mois
$cd_sectrs = CustomQuery($cd_sectsql);

while($cd_sectdata = db_fetch_array($cd_sectrs))
{
$cd_ParSecteur.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$cd_sectdata["MoisEntree"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$cd_sectdata["LieuEntree"].'</strong></td>
			<td style="text-align: center; ">'.$cd_sectdata["AncienBon"].'</td>
			<td style="text-align: center; ">'.$cd_sectdata["HorsUsage"].'</td>
			<td style="text-align: center; "><strong>'.$cd_sectdata["NbEntree"].'</strong></td>
	</tr>';
$cd_sect_AncienBon=$cd_sect_AncienBon+$cd_sectdata["AncienBon"];
$cd_sect_HorsUsage=$cd_sect_HorsUsage+$cd_sectdata["HorsUsage"];
$cd_sect_NbEntree=$cd_sect_NbEntree+$cd_sectdata["NbEntree"];
}
$cd_ParSecteur.=
	'<tr><td colspan="5";> </td></tr>
	<tr style="background: lightgray;">
		<td colspan="2";  style="text-align:left;  white-space:nowrap;"><strong>Total des dépose de la D.D.A.L.</strong></td>
			<td style="text-align: center; "><strong>'.$cd_sect_AncienBon.'</strong></td>
			<td style="text-align: center; "><strong>'.$cd_sect_HorsUsage.'</strong></td>
		<td style="text-align:center; "><strong>'.$cd_sect_NbEntree.'</strong></td>
	</tr>
</tbody>';

$P_sectsql="SELECT
COUNT(compteur.NumCTR) AS NbPose,
COUNT(compteur.MotifDeposeID) AS NbPoseANCTR,
Count(PoseCTR)-Count(MotifDeposeID) AS NbPoseNVXCTR,
DATE_FORMAT(DatePose, '%m/%Y') AS MoisPose,
secteur.SecteurSection AS Lieu
FROM compteur
INNER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
INNER JOIN agence ON compteur.AgenceID = agence.iDAgence
WHERE (compteur.PoseCTR =1) AND (DATE_FORMAT(DatePose, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0) AND (compteur.MisAuRebus =0)
GROUP BY compteur.SecteurID
ORDER BY compteur.AgenceID"; //pose du mois
$P_sectrs = CustomQuery($P_sectsql);

while($P_sectdata = db_fetch_array($P_sectrs))
{
$P_ParSecteur.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$P_sectdata["MoisPose"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$P_sectdata["Lieu"].'</strong></td>
			<td style="text-align: center; ">'.$P_sectdata["NbPoseNVXCTR"].'</td>
			<td style="text-align: center; ">'.$P_sectdata["NbPoseANCTR"].'</td>
			<td style="text-align: center; "><strong>'.$P_sectdata["NbPose"].'</strong></td>
	</tr>';
$P_sect_NbPoseNVXCTR=$P_sect_NbPoseNVXCTR+$P_sectdata["NbPoseNVXCTR"];
$P_sect_NbPoseANCTR=$P_sect_NbPoseANCTR+$P_sectdata["NbPoseANCTR"];
$P_sect_NbPose=$P_sect_NbPose+$P_sectdata["NbPose"];
}
$P_ParSecteur.=
	'<tr><td colspan="5";> </td></tr>
	<tr style="background: lightgray;">
		<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Total des pose de la D.D.A.L.</strong></td>
			<td style="text-align: center; "><strong>'.$P_sect_NbPoseNVXCTR.'</strong></td>
			<td style="text-align: center; "><strong>'.$P_sect_NbPoseANCTR.'</strong></td>
		<td style="text-align:center; "><strong>'.$P_sect_NbPose.'</strong></td>
	</tr>
</tbody>';

$R_sectsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
agence.NomAgence AS LieuEntree,
compteur.DotationSecteur
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND 
(compteur.SupressionCTR =0)  AND (compteur.DotationSecteur=1) AND 
(compteur.PoseCTR =0) AND (compteur.MisAuRebus =0)
GROUP BY compteur.SecteurID
ORDER BY compteur.AgenceID"; // Reste des entrée du mois
$R_sectrs = CustomQuery($R_sectsql);

while($R_sectdata = db_fetch_array($R_sectrs))
{
$R_ParSecteur.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$R_sectdata["MoisEntree"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$R_sectdata["LieuEntree"].'</strong></td>
			<td style="text-align: center; "><strong>'.$R_sectdata["NbEntreeNeuf"].'</strong></td>
			<td style="text-align: center; "><strong>'.$R_sectdata["EntreeAncien"].'</strong></td>
			<td style="text-align: center; "><strong>'.$R_sectdata["NbEntree"].'</strong></td>
	</tr>';
$R_sect_NbEntreeNeuf=$R_sect_NbEntreeNeuf+$R_sectdata["NbEntreeNeuf"];
$R_sect_EntreeAncien=$R_sect_EntreeAncien+$R_sectdata["EntreeAncien"];
$R_sect_NbEntree=$R_sect_NbEntree+$R_sectdata["NbEntree"];
}
$R_ParSecteur.=
	'<tr style="background: lightgray;">
		<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Total dotation aux agences</strong></td>
		<td style="text-align:center; "><strong>'.$R_sect_NbEntreeNeuf.'</strong></td>
		<td style="text-align:center; "><strong>'.$R_sect_EntreeAncien.'</strong></td>
		<td style="text-align:center; "><strong>'.$R_sect_NbEntree.'</strong></td>
	</tr>
	<tr><td colspan="5";> </td></tr>
	<tr style="background: lightgray;">
			<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Reste Entrée du mois à la D.D.A.L.</strong></td>
			<td style="text-align:center; "><strong>'.$R_dirdata["NbEntreeNeuf"].'</strong></td>
			<td style="text-align:center; "><strong>'.$R_dirdata["EntreeAncien"].'</strong></td>
			<td style="text-align:center; "><strong>'.$R_dirdata["NbEntree"].'</strong></td>
		</tr>
</tbody>';



$Stylecss = "<style>
@font-face {
  font-family: 'DejaVuSans';
  font-style: normal;
  font-weight: normal;
  src: url(".$siteweburl."/dompdf/vendor/dompdf/dompdf/lib/fonts/DejaVuSans.ttf) format('truetype');
}
@font-face {
  font-family: 'DejaVuSans-Bold';
  font-style: bold;
  font-weight: 200;
  src: url(".$siteweburl."/dompdf/vendor/dompdf/dompdf/lib/fonts/DejaVuSans-Bold.ttf) format('truetype');
}

@page { margin : 20px; }
body { margin : 5px; }

p{
margin: 0 20PX 10px 30PX; 
}

table {
border-collapse: collapse;
border: 0.7pt solid black;
text-align:center;
vertical-aligne : middle;
width:100%;
}

h2{
font-family: 'DejaVuSans-Bold';
font-size: 1.2em;
line-height : 100%;
}
h3{
font-family: 'DejaVuSans-Bold';
font-size: 0.8em;
line-height : 100%;
}
td{
vertical-align: middle;
font-family: 'DejaVuSans';
font-size: 0.7em;
width:100%;
line-height : 100%;
border-collapse: collapse;
border-top: 0pt solid black;
padding-left: 5px;
padding-top: 4px;
padding-buttom: 4px;
}
strong{
font-family: 'DejaVuSans-Bold';
width:100%;
border-collapse: collapse;
border-top: 0pt solid black;
}
</style>";

$_SESSION['html']='<!DOCTYPE html>
<html lang="fr">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
'.$Stylecss.'
</head>
<body>
<table style="width:100%>
	<thead>  
		<tr>
			<td style="width: 10%;">
			<img src="'.$logo.'" width="135px" height="60px" />
			</td>
			<td style="width: 80%;"><h2 style="font-size: 1.2em;">
			SOCIETE NATIONALE DES EAUX DU BENIN</br>
			DIRECTION DEPARTEMENTALE ATLANTIQUE / LITTORAL (D.D.A.L.)</br>
			ETAT DU MOUVEMENT DE COMPTEURS PAR SECTEUR</br> MOIS : '.date('m/Y',strtotime(now())).'
			</h2></td>
			<h2 style="width: 10%;" > </h2>
		</tr>
	</thead>
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Etat des déposes du mois par secteur</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$cd_sect_Entete.$cd_ParSecteur.'
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Etat des dotations du mois par secteur</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
		'.$sect_Entete.$In_ParSecteur.'
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Etat des poses du mois par secteur</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$P_sect_Entete.$P_ParSecteur.'
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Reste des dotations du mois par secteur</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$R_sect_Entete.$R_ParSecteur.'
</table>
	<p style="page-break-after: always;">
	<p></p>
<table style="width:100%>
	<thead>  
		<tr>
			<td style="width: 10%;">
			<img src="'.$logo.'" width="135px" height="60px" />
			</td>
			<td style="width: 80%;">
			<h2 style="font-size: 1.2em;">SOCIETE NATIONALE DES EAUX DU BENIN</br>
			DIRECTION DEPARTEMENTALE ATLANTIQUE / LITTORAL (D.D.A.L.)</br>
			ETAT DU MOUVEMENT DE COMPTEURS PAR AGENCE</br>
			MOIS : '.date('m/Y',strtotime(now())).'</h2>
			</td>
			<td style="width: 10%;" > </td>
		</tr>
	</thead>
</table>
</br>
<table style="width:100%;" border="0.5" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Etat des déposes du mois par agence</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$cd_ag_Entete.$cd_ParAgence.'
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Etat des dotations du mois par agence</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$ag_Entete.$In_ParAgence.'
</table>
</br>
<table style="width:100%;" border="0.5" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Etat des poses du mois par agence</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$P_ag_Entete.$P_ParAgence.'
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Reste des dotations du mois par agence</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$R_ag_Entete.$R_ParAgence.'
</table>
</body></html>';


$_SESSION['orientation'] = 'portrait';
$_SESSION["DocName"] = 'Etat Entrée-Sortie du mois '.date('m-Y',strtotime(now()));
;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_PrintStock($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	
$siteweburl = $_SESSION["siteweb_url"];
$SignDR=$siteweburl.'/sign_dr.png' ;
$SignEBE=$siteweburl.'/sign_ebe.png' ;
$logo = $siteweburl.'/images/logo.png';

$DateStock=date('d/m/Y',strtotime(now()));

$sql00 = "SELECT
COUNT(CASE WHEN compteur.EtatCTR='Neuf' THEN 0 END) AS ctr_neuf,
COUNT(CASE WHEN compteur.EtatCTR='Ancien' THEN 0 END) AS ctr_ancien,
COUNT(compteur.NumCTR) AS NbCompteur,
if(agence.NomAgence is null, 'Magasin D.D.A.L.', agence.NomAgence) AS LieuStock
FROM diametre
LEFT OUTER JOIN compteur ON diametre.iDDiametre = compteur.DiametreID
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
WHERE (compteur.PoseCTR =0) AND (compteur.MisAuRebus =0) AND (compteur.SupressionCTR =0)
GROUP BY compteur.AgenceID
ORDER BY compteur.AgenceID";
$rs00 = CustomQuery($sql00);

$DonneesStockAgence.='<thead>
													<tr>
														<td style="text-align:center; background: lightgray;"><strong>Lieu de stockage</strong></td>
														<td style="text-align:center; background: lightgray;"><strong>CTR Neuf</strong></td>
														<td style="text-align:center; background: lightgray;"><strong>CTR Ancien</strong></td>
														<td style="text-align:center; background: lightgray;"><strong>CTR Total</strong></td>
													</tr>
												</thead>';

while($data00 = db_fetch_array($rs00))
{
$DonneesStockAgence.= '<tbody><tr><td style="text-align: left; white-space:nowrap;"><strong>'.$data00["LieuStock"].'</strong></td>';
$DonneesStockAgence.= '<td style="text-align: center; ">'.$data00["ctr_neuf"].'</td>';
$DonneesStockAgence.= '<td style="text-align: center; ">'.$data00["ctr_ancien"].'</td>';
$DonneesStockAgence.= '<td style="text-align: center; ">'.$data00["NbCompteur"].'</td></tr>';
$TotNew0=$TotNew0+$data00["ctr_neuf"];
$TotAnc0=$TotAnc0+$data00["ctr_ancien"];
$Tot0=$Tot0+$data00["NbCompteur"];
}
$DonneesStockAgence.= '<tr style="background: lightgray;"><td style="text-align: center; "><strong>TOTAL GLOBAL </strong></td>';
$DonneesStockAgence.= '<td style="text-align: center; "><strong>'.$TotNew0.'</strong></td>';
$DonneesStockAgence.= '<td style="text-align: center; "><strong>'.$TotAnc0.'</strong></td>';
$DonneesStockAgence.= '<td style="text-align: center; "><strong>'.$Tot0.'</strong></td></tr></tbody>';

$sql01 = "SELECT
COUNT(CASE WHEN compteur.EtatCTR='Neuf' THEN 0 END) AS ctr_neuf,
COUNT(CASE WHEN compteur.EtatCTR='Ancien' THEN 0 END) AS ctr_ancien,
COUNT(compteur.NumCTR) AS NbCompteur,
if(agence.NomAgence is null, 'Magasin D.D.A.L.', agence.NomAgence) AS LieuStock,
CONCAT('DN ',diametre.Diametre) AS LeDiametre 
FROM diametre
LEFT OUTER JOIN compteur ON diametre.iDDiametre = compteur.DiametreID
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
WHERE (compteur.PoseCTR =0) AND (compteur.MisAuRebus =0) AND (compteur.SupressionCTR =0)
GROUP BY compteur.AgenceID, diametre.Diametre
ORDER BY compteur.AgenceID, diametre.Diametre";
$rs01 = CustomQuery($sql01);

$DonneesStockDiam.='<thead>
												<tr>
													<td style="text-align:center; background: lightgray;"><strong>Lieu de stockage</strong></td>
													<td style="text-align:center; background: lightgray;"><strong>Calibre</strong></td>
													<td style="text-align:center; background: lightgray;"><strong>CTR Neuf</strong></td>
													<td style="text-align:center; background: lightgray;"><strong>CTR Ancien</strong></td>
													<td style="text-align:center; background: lightgray;"><strong>CTR Total</strong></td>
												</tr>
											</thead>';

while($data01 = db_fetch_array($rs01))
{
$DonneesStockDiam.= '<tbody><tr><td style="text-align: left; white-space:nowrap; "><strong>'.$data01["LieuStock"].'</strong></td>';
$DonneesStockDiam.= '<td style="text-align: left; white-space:nowrap; "><strong>'.$data01["LeDiametre"].'</strong></td>';
$DonneesStockDiam.= '<td style="text-align: center; ">'.$data01["ctr_neuf"].'</td>';
$DonneesStockDiam.= '<td style="text-align: center; ">'.$data01["ctr_ancien"].'</td>';
$DonneesStockDiam.= '<td style="text-align: center; ">'.$data01["NbCompteur"].'</td></tr>';
$TotNew=$TotNew+$data01["ctr_neuf"];
$TotAnc=$TotAnc+$data01["ctr_ancien"];
$Tot=$Tot+$data01["NbCompteur"];
}
$DonneesStockDiam.= '<tr style="background: lightgray;"><td colspan="2"; style="text-align: center; "><strong>TOTAL STOCK D.D.A.L.</strong></td>';
$DonneesStockDiam.= '<td style="text-align: center; "><strong>'.$TotNew.'</strong></td>';
$DonneesStockDiam.= '<td style="text-align: center; "><strong>'.$TotAnc.'</strong></td>';
$DonneesStockDiam.= '<td style="text-align: center; "><strong>'.$Tot.'</strong></td></tr></tbody>';

$Stylecss = "<style>
@font-face {
  font-family: 'DejaVuSans';
  font-style: normal;
  font-weight: normal;
  src: url(".$siteweburl."/dompdf/vendor/dompdf/dompdf/lib/fonts/DejaVuSans.ttf) format('truetype');
}
@font-face {
  font-family: 'DejaVuSans-Bold';
  font-style: bold;
  font-weight: 200;
  src: url(".$siteweburl."/dompdf/vendor/dompdf/dompdf/lib/fonts/DejaVuSans-Bold.ttf) format('truetype');
}

@page { margin : 20px; }
body { margin : 5px; }

p{
margin: 0 20PX 10px 30PX; 
}

table {
border-collapse: collapse;
border: 0.7pt solid black;
text-align:center;
vertical-aligne : middle;
width:100%;
}

h2{
font-family: 'DejaVuSans-Bold';
font-size: 1.2em;
line-height : 100%;
}
td{
font-family: 'DejaVuSans';
font-size: 0.7em;
width:100%;
line-height : 100%;
border-collapse: collapse;
border-top: 0pt solid black;
padding-left: 5px;
padding-top: 3px;
padding-buttom: 3px;
}
strong{
font-family: 'DejaVuSans-Bold';
width:100%;
border-collapse: collapse;
border-top: 0pt solid black;
}
</style>";

$_SESSION['html']='<!DOCTYPE html>
<html lang="fr">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
'.$Stylecss.'
</head>
<body>
<table>
	<thead>  
		<tr>
			<td style="width: 10%;">
			<img src="'.$logo.'" alt="logo-soneb" width="135px" height="60px" />
			</td>
			<td style="width: 80%;">
			<h2 style="font-size: 1.2em;">SOCIETE NATIONALE DES EAUX DU BENIN</br>
			DIRECTION DEPARTEMENTALE ATLANTIQUE / LITTORAL (D.D.A.L.)</br>
			ETAT DU STOCK DE COMPTEURS DE LA DIRECTION</br>
			A LA DATE DU '.$DateStock.'</h2>
			</td>
			<td style="width: 10%;" > </td>
		</tr>
	</thead>
</table>
</br>
<table style="width: 100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Nombre compteurs par lieu de stockage</h3>
</table>
</br>
<table style="width: 100%;" border="1" cellspacing="0">
		'.$DonneesStockAgence.'
</table>
</br>
<table style="width: 100%;" border="0.5" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Nombre compteurs par diamètre et par lieu de stockage</h3>
</table>
</br>
<table style="width: 100%;" border="1" cellspacing="0">
	'.$DonneesStockDiam.'
</table>
</body></html>';


$_SESSION['orientation'] = 'portrait';
$_SESSION["DocName"] = 'Etat du stock au '.date('d-m-Y',strtotime(now()));
;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_PrintEtatMensAg($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	
$siteweburl = $_SESSION["siteweb_url"];
$SignDR=$siteweburl.'/sign_dr.png' ;
$SignEBE=$siteweburl.'/sign_ebe.png' ;
$logo = $siteweburl.'/images/logo.png';

// Titre des tableaux de secteur
$sect_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois entrée</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Secteur</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>CTR Neuf</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Ancien bon</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Ancien mauvais</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Total Ancien</strong></td>
									<td style="text-align:center; background: lightgray; white-space:nowrap;"><strong>Total entrée</strong></td>
								</tr>
							</thead>';//CTR Entrées
$cd_sect_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois entrée</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Secteur</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Dépose bon</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Dépose mauvais</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Total Dépose</strong></td>
								</tr>
							</thead>'; //CTR Déposés
$P_sect_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois de pose</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Secteur</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Pose Neuf</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Pose Ancien</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Total Pose</strong></td>
								</tr>
							</thead>'; //CTR Posés
$R_sect_Entete='<thead>
								<tr>
									<td style="text-align:center; background: lightgray;"><strong>Mois entrée</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Secteur</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Reste Neuf</strong></td>
									<td style="text-align:center; background: lightgray;"><strong>Reste Ancien</strong></td>
									<td style="text-align:center; background: lightgray; white-space:nowrap;"><strong>Reste total</strong></td>
								</tr>
							</thead>'; //CTR Reste du mois


// Recap entrée du mois de la direction
$dirsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
COUNT(CASE WHEN Reutilisable='Non' THEN 0 END) AS HorsUsage,
COUNT(CASE WHEN Reutilisable='Oui' THEN 0 END) AS AncienBon,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree
FROM compteur
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree,'%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0)
GROUP BY compteur.DirectionID";
$dirrs = CustomQuery($dirsql);
$dirdata = db_fetch_array($dirrs);
// Recap rest du mois de la direction
$R_dirsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
agence.NomAgence AS LieuEntree,
compteur.DotationSecteur
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0)  AND (compteur.DotationSecteur=0) AND (compteur.PoseCTR =0) AND (compteur.MisAuRebus =0)
GROUP BY compteur.DirectionID";
$R_dirrs = CustomQuery($R_dirsql);
$R_dirdata = db_fetch_array($R_dirrs);


// RECAP PAR SECTEUR
$sectsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
COUNT(CASE WHEN Reutilisable='Non' THEN 0 END) AS HorsUsage,
COUNT(CASE WHEN Reutilisable='Oui' THEN 0 END) AS AncienBon,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
secteur.SecteurSection AS LieuEntree
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0) and compteur.DotationSecteur=1
GROUP BY compteur.SecteurID
ORDER BY compteur.AgenceID"; //entrée du mois 
$sectrs = CustomQuery($sectsql);

while($sectdata = db_fetch_array($sectrs))
{
$In_ParSecteur.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$sectdata["MoisEntree"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$sectdata["LieuEntree"].'</strong></td>
			<td style="text-align: center; "><strong>'.$sectdata["NbEntreeNeuf"].'</strong></td>
			<td style="text-align: center; ">'.$sectdata["AncienBon"].'</td>
			<td style="text-align: center; ">'.$sectdata["HorsUsage"].'</td>
			<td style="text-align: center; "><strong>'.$sectdata["EntreeAncien"].'</strong></td>
			<td style="text-align: center; "><strong>'.$sectdata["NbEntree"].'</strong></td>
	</tr>';
$sect_NbEntreeNeuf=$sect_NbEntreeNeuf+$sectdata["NbEntreeNeuf"];
$sect_AncienBon=$sect_AncienBon+$sectdata["AncienBon"];
$sect_HorsUsage=$sect_HorsUsage+$sectdata["HorsUsage"];
$sect_EntreeAncien=$sect_EntreeAncien+$sectdata["EntreeAncien"];
$sect_NbEntree=$sect_NbEntree+$sectdata["NbEntree"];
}
$In_ParSecteur.=
	'<tr style="background: lightgray;">
		<td colspan="2";  style="text-align:left;  white-space:nowrap;"><strong>Total dotation aux agences</strong></td>
		<td style="text-align:center; "><strong>'.$sect_NbEntreeNeuf.'</strong></td>
			<td style="text-align: center; "><strong>'.$sect_AncienBon.'</strong></td>
			<td style="text-align: center; "><strong>'.$sect_HorsUsage.'</strong></td>
		<td style="text-align:center; "><strong>'.$sect_EntreeAncien.'</strong></td>
		<td style="text-align:center; "><strong>'.$sect_NbEntree.'</strong></td>
	</tr>
	<tr><td colspan="7";> </td></tr>
	<tr style="background: lightgray;">
		<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Entrée à la D.D.A.L.</strong></td>
		<td style="text-align:center; "><strong>'.$dirdata["NbEntreeNeuf"].'</strong></td>
		<td style="text-align: center; "><strong>'.$dirdata["AncienBon"].'</strong></td>
		<td style="text-align: center; "><strong>'.$dirdata["HorsUsage"].'</strong></td>
		<td style="text-align:center; "><strong>'.$dirdata["EntreeAncien"].'</strong></td>
		<td style="text-align:center; "><strong>'.$dirdata["NbEntree"].'</strong></td>
	</tr>
</tbody>';

$cd_sectsql="SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN Reutilisable='Non' THEN 0 END) AS HorsUsage,
COUNT(CASE WHEN Reutilisable='Oui' THEN 0 END) AS AncienBon,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
secteur.SecteurSection AS LieuEntree
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurOrigineCD = secteur.iDSecteur
INNER JOIN agence ON compteur.AgenceOrigineCD = agence.iDAgence
INNER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0) AND (compteur.MotifDeposeID >0)
GROUP BY compteur.SecteurID
ORDER BY compteur.AgenceID"; //dépose du mois
$cd_sectrs = CustomQuery($cd_sectsql);

while($cd_sectdata = db_fetch_array($cd_sectrs))
{
$cd_ParSecteur.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$cd_sectdata["MoisEntree"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$cd_sectdata["LieuEntree"].'</strong></td>
			<td style="text-align: center; ">'.$cd_sectdata["AncienBon"].'</td>
			<td style="text-align: center; ">'.$cd_sectdata["HorsUsage"].'</td>
			<td style="text-align: center; "><strong>'.$cd_sectdata["NbEntree"].'</strong></td>
	</tr>';
$cd_sect_AncienBon=$cd_sect_AncienBon+$cd_sectdata["AncienBon"];
$cd_sect_HorsUsage=$cd_sect_HorsUsage+$cd_sectdata["HorsUsage"];
$cd_sect_NbEntree=$cd_sect_NbEntree+$cd_sectdata["NbEntree"];
}
$cd_ParSecteur.=
	'<tr><td colspan="5";> </td></tr>
	<tr style="background: lightgray;">
		<td colspan="2";  style="text-align:left;  white-space:nowrap;"><strong>Total des dépose de la D.D.A.L.</strong></td>
			<td style="text-align: center; "><strong>'.$cd_sect_AncienBon.'</strong></td>
			<td style="text-align: center; "><strong>'.$cd_sect_HorsUsage.'</strong></td>
		<td style="text-align:center; "><strong>'.$cd_sect_NbEntree.'</strong></td>
	</tr>
</tbody>';

$P_sectsql="SELECT
COUNT(compteur.NumCTR) AS NbPose,
COUNT(compteur.MotifDeposeID) AS NbPoseANCTR,
Count(PoseCTR)-Count(MotifDeposeID) AS NbPoseNVXCTR,
DATE_FORMAT(DatePose, '%m/%Y') AS MoisPose,
secteur.SecteurSection AS Lieu
FROM compteur
INNER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
INNER JOIN agence ON compteur.AgenceID = agence.iDAgence
WHERE (compteur.PoseCTR =1) AND (DATE_FORMAT(DatePose, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND (compteur.SupressionCTR =0) AND (compteur.MisAuRebus =0)
GROUP BY compteur.SecteurID
ORDER BY compteur.AgenceID"; //pose du mois
$P_sectrs = CustomQuery($P_sectsql);

while($P_sectdata = db_fetch_array($P_sectrs))
{
$P_ParSecteur.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$P_sectdata["MoisPose"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$P_sectdata["Lieu"].'</strong></td>
			<td style="text-align: center; ">'.$P_sectdata["NbPoseNVXCTR"].'</td>
			<td style="text-align: center; ">'.$P_sectdata["NbPoseANCTR"].'</td>
			<td style="text-align: center; "><strong>'.$P_sectdata["NbPose"].'</strong></td>
	</tr>';
$P_sect_NbPoseNVXCTR=$P_sect_NbPoseNVXCTR+$P_sectdata["NbPoseNVXCTR"];
$P_sect_NbPoseANCTR=$P_sect_NbPoseANCTR+$P_sectdata["NbPoseANCTR"];
$P_sect_NbPose=$P_sect_NbPose+$P_sectdata["NbPose"];
}
$P_ParSecteur.=
	'<tr><td colspan="5";> </td></tr>
	<tr style="background: lightgray;">
		<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Total des pose de la D.D.A.L.</strong></td>
			<td style="text-align: center; "><strong>'.$P_sect_NbPoseNVXCTR.'</strong></td>
			<td style="text-align: center; "><strong>'.$P_sect_NbPoseANCTR.'</strong></td>
		<td style="text-align:center; "><strong>'.$P_sect_NbPose.'</strong></td>
	</tr>
</tbody>';

$R_sectsql = "SELECT
COUNT(compteur.NumCTR) AS NbEntree,
COUNT(CASE WHEN EtatCTR='Neuf' THEN 0 END) AS NbEntreeNeuf,
COUNT(CASE WHEN EtatCTR='Ancien' THEN 0 END) AS EntreeAncien,
DATE_FORMAT(DateEntree, '%m/%Y') AS MoisEntree,
agence.NomAgence AS LieuEntree,
compteur.DotationSecteur
FROM compteur
LEFT OUTER JOIN secteur ON compteur.SecteurID = secteur.iDSecteur
LEFT OUTER JOIN agence ON compteur.AgenceID = agence.iDAgence
LEFT OUTER JOIN motif_depose ON compteur.MotifDeposeID = motif_depose.iDMotifDepose
WHERE (DATE_FORMAT(DateEntree, '%m%Y') =DATE_FORMAT(NOW(),'%m%Y')) AND 
(compteur.SupressionCTR =0)  AND (compteur.DotationSecteur=1) AND 
(compteur.PoseCTR =0) AND (compteur.MisAuRebus =0)
GROUP BY compteur.SecteurID
ORDER BY compteur.AgenceID"; // Reste des entrée du mois
$R_sectrs = CustomQuery($R_sectsql);

while($R_sectdata = db_fetch_array($R_sectrs))
{
$R_ParSecteur.=
'<tbody>
	<tr>
			<td style="text-align: center; "><strong>'.$R_sectdata["MoisEntree"].'</strong></td>
			<td style="text-align: left; white-space:nowrap;"><strong>'.$R_sectdata["LieuEntree"].'</strong></td>
			<td style="text-align: center; "><strong>'.$R_sectdata["NbEntreeNeuf"].'</strong></td>
			<td style="text-align: center; "><strong>'.$R_sectdata["EntreeAncien"].'</strong></td>
			<td style="text-align: center; "><strong>'.$R_sectdata["NbEntree"].'</strong></td>
	</tr>';
$R_sect_NbEntreeNeuf=$R_sect_NbEntreeNeuf+$R_sectdata["NbEntreeNeuf"];
$R_sect_EntreeAncien=$R_sect_EntreeAncien+$R_sectdata["EntreeAncien"];
$R_sect_NbEntree=$R_sect_NbEntree+$R_sectdata["NbEntree"];
}
$R_ParSecteur.=
	'<tr style="background: lightgray;">
		<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Total dotation aux agences</strong></td>
		<td style="text-align:center; "><strong>'.$R_sect_NbEntreeNeuf.'</strong></td>
		<td style="text-align:center; "><strong>'.$R_sect_EntreeAncien.'</strong></td>
		<td style="text-align:center; "><strong>'.$R_sect_NbEntree.'</strong></td>
	</tr>
	<tr><td colspan="5";> </td></tr>
	<tr style="background: lightgray;">
			<td colspan="2"; style="text-align:left;  white-space:nowrap;"><strong>Reste Entrée du mois à la D.D.A.L.</strong></td>
			<td style="text-align:center; "><strong>'.$R_dirdata["NbEntreeNeuf"].'</strong></td>
			<td style="text-align:center; "><strong>'.$R_dirdata["EntreeAncien"].'</strong></td>
			<td style="text-align:center; "><strong>'.$R_dirdata["NbEntree"].'</strong></td>
		</tr>
</tbody>';



$Stylecss = "<style>
@font-face {
  font-family: 'DejaVuSans';
  font-style: normal;
  font-weight: normal;
  src: url(".$siteweburl."/dompdf/vendor/dompdf/dompdf/lib/fonts/DejaVuSans.ttf) format('truetype');
}
@font-face {
  font-family: 'DejaVuSans-Bold';
  font-style: bold;
  font-weight: 200;
  src: url(".$siteweburl."/dompdf/vendor/dompdf/dompdf/lib/fonts/DejaVuSans-Bold.ttf) format('truetype');
}

@page { margin : 20px; }
body { margin : 5px; }

p{
margin: 0 20PX 10px 30PX; 
}

table {
border-collapse: collapse;
border: 0.7pt solid black;
text-align:center;
vertical-aligne : middle;
width:100%;
}

h2{
font-family: 'DejaVuSans-Bold';
font-size: 1.2em;
line-height : 100%;
}
h3{
font-family: 'DejaVuSans-Bold';
font-size: 0.8em;
line-height : 100%;
}
td{
vertical-align: middle;
font-family: 'DejaVuSans';
font-size: 0.7em;
width:100%;
line-height : 100%;
border-collapse: collapse;
border-top: 0pt solid black;
padding-left: 5px;
padding-top: 4px;
padding-buttom: 4px;
}
strong{
font-family: 'DejaVuSans-Bold';
width:100%;
border-collapse: collapse;
border-top: 0pt solid black;
}
</style>";

$_SESSION['html']='<!DOCTYPE html>
<html lang="fr">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
'.$Stylecss.'
</head>
<body>
<table style="width:100%>
	<thead>  
		<tr>
			<td style="width: 10%;">
			<img src="'.$logo.'" width="135px" height="60px" />
			</td>
			<td style="width: 80%;"><h2 style="font-size: 1.2em;">
			SOCIETE NATIONALE DES EAUX DU BENIN</br>
			DIRECTION DEPARTEMENTALE ATLANTIQUE / LITTORAL (D.D.A.L.)</br>
			ETAT DU MOUVEMENT DE COMPTEURS PAR SECTEUR</br> MOIS : '.date('m/Y',strtotime(now())).'
			</h2></td>
			<h2 style="width: 10%;" > </h2>
		</tr>
	</thead>
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Etat des déposes du mois par secteur</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$cd_sect_Entete.$cd_ParSecteur.'
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Etat des dotations du mois par secteur</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
		'.$sect_Entete.$In_ParSecteur.'
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Etat des poses du mois par secteur</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$P_sect_Entete.$P_ParSecteur.'
</table>
</br>
<table style="width:100%;" border="1" cellspacing="0">
<h3 style="font-size: 1em; margin:4.5px; padding:3px; background-color: lightblue;">Reste des dotations du mois par secteur</h3>
</table>
<table style="width:100%;" border="1" cellspacing="0">
	'.$R_sect_Entete.$R_ParSecteur.'
</table>
</body></html>';


$_SESSION['orientation'] = 'portrait';
$_SESSION["DocName"] = 'Etat Entrée-Sortie du mois '.date('m-Y',strtotime(now()));
;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_backup_bdd($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	
include_once("backup.php"); ;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}
function buttonHandler_ValidataionDepose($params)
{
	global $strTableName;
	$result = array();

	// create new button object for get record data
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = postvalue('isManyKeys');
	$params["location"] = postvalue('location');

	$button = new Button($params);
	$ajax = $button; // for examle from HELP
	$keys = $button->getKeys();

	$masterData = false;
	if ( isset($params['masterData']) && count($params['masterData']) > 0 )
	{
		$masterData = $params['masterData'];
	}
	else if ( isset($params["masterTable"]) )
	{
		$masterData = $button->getMasterData($params["masterTable"]);
	}
	
	$contextParams = array();
	if ( $params["location"] == PAGE_VIEW )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == PAGE_EDIT )
	{
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else if ( $params["location"] == "grid" )
	{	
		$params["location"] = "list";
		$contextParams["data"] = $button->getRecordData();
		$contextParams["newData"] = $params['fieldsData'];
		$contextParams["masterData"] = $masterData;
	}
	else 
	{
		$contextParams["masterData"] = $masterData;
	}

	RunnerContext::push( new RunnerContextItem( $params["location"], $contextParams));
	
$result= $_SESSION["ValiationDepose"];
;
	RunnerContext::pop();
	echo my_json_encode($result);
	$button->deleteTempFiles();
}


		
function fieldEventHandler_PartieNum_event( $params )
{
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = false;
	$params["location"] = postvalue('pageType');
	
	$button = new Button($params);
	$keys = $button->getKeys();
	$ajax = $button; // for examle from HELP
	$result = array();
	
	$pageType = postvalue("pageType");
	$fieldsData = my_json_decode( postvalue("fieldsData") );
	
	$contextParams = array(
		"data" => $fieldsData,
		"masterData" => $_SESSION[ $masterTable . "_masterRecordData" ]
	);
	
	RunnerContext::push( new RunnerContextItem( CONTEXT_ROW, $contextParams ) );
		
$Nbre=$params["value3"];
$PartieTexte=$params["value2"];
$PartieNum=$params["value1"];

if($Nbre>0 AND $PartieNum>0)
$Dernerscompteur=$PartieTexte.($PartieNum+$Nbre-1);
else
$Dernerscompteur="";

$result["Dernerscompteur"] = strtoupper( $Dernerscompteur );
;
	RunnerContext::pop();
	
	echo my_json_encode( $result );
	$button->deleteTempFiles();
}
function fieldEventHandler_LenthAbonne( $params )
{
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = false;
	$params["location"] = postvalue('pageType');
	
	$button = new Button($params);
	$keys = $button->getKeys();
	$ajax = $button; // for examle from HELP
	$result = array();
	
	$pageType = postvalue("pageType");
	$fieldsData = my_json_decode( postvalue("fieldsData") );
	
	$contextParams = array(
		"data" => $fieldsData,
		"masterData" => $_SESSION[ $masterTable . "_masterRecordData" ]
	);
	
	RunnerContext::push( new RunnerContextItem( CONTEXT_ROW, $contextParams ) );
	$LaLong=strlen($params["value"]);

if($LaLong<14) $Validite=1;
else $Validite=0;

$result["Validite"] = ($Validite);
$result["LaLong"] = ($LaLong);
;
	RunnerContext::pop();
	
	echo my_json_encode( $result );
	$button->deleteTempFiles();
}
function fieldEventHandler_LenthAbonne1( $params )
{
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = false;
	$params["location"] = postvalue('pageType');
	
	$button = new Button($params);
	$keys = $button->getKeys();
	$ajax = $button; // for examle from HELP
	$result = array();
	
	$pageType = postvalue("pageType");
	$fieldsData = my_json_decode( postvalue("fieldsData") );
	
	$contextParams = array(
		"data" => $fieldsData,
		"masterData" => $_SESSION[ $masterTable . "_masterRecordData" ]
	);
	
	RunnerContext::push( new RunnerContextItem( CONTEXT_ROW, $contextParams ) );
	$LaLong=strlen($params["value"]);

if($LaLong<8) $Validite=1;
else $Validite=0;

$result["Validite"] = ($Validite);
$result["LaLong"] = ($LaLong);

//$result["upper"] = strtoupper( $params["value"] );
;
	RunnerContext::pop();
	
	echo my_json_encode( $result );
	$button->deleteTempFiles();
}
function fieldEventHandler_TypeBcht_event( $params )
{
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = false;
	$params["location"] = postvalue('pageType');
	
	$button = new Button($params);
	$keys = $button->getKeys();
	$ajax = $button; // for examle from HELP
	$result = array();
	
	$pageType = postvalue("pageType");
	$fieldsData = my_json_decode( postvalue("fieldsData") );
	
	$contextParams = array(
		"data" => $fieldsData,
		"masterData" => $_SESSION[ $masterTable . "_masterRecordData" ]
	);
	
	RunnerContext::push( new RunnerContextItem( CONTEXT_ROW, $contextParams ) );
	;
	RunnerContext::pop();
	
	echo my_json_encode( $result );
	$button->deleteTempFiles();
}
function fieldEventHandler_CountNumCTR_event( $params )
{
	$params["keys"] = (array)my_json_decode(postvalue('keys'));
	$params["isManyKeys"] = false;
	$params["location"] = postvalue('pageType');
	
	$button = new Button($params);
	$keys = $button->getKeys();
	$ajax = $button; // for examle from HELP
	$result = array();
	
	$pageType = postvalue("pageType");
	$fieldsData = my_json_decode( postvalue("fieldsData") );
	
	$contextParams = array(
		"data" => $fieldsData,
		"masterData" => $_SESSION[ $masterTable . "_masterRecordData" ]
	);
	
	RunnerContext::push( new RunnerContextItem( CONTEXT_ROW, $contextParams ) );
	
$result["NbCTR"]= $params["NbCTR"];
;
	RunnerContext::pop();
	
	echo my_json_encode( $result );
	$button->deleteTempFiles();
}
?>
