<?php
require_once(getabspath("classes/cipherer.php"));



$tdatadash_motifs = array();
$tdatadash_motifs[".ShortName"] = "dash_motifs";

$tdatadash_motifs[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdatadash_motifs[".originalPagesByType"] = $tdatadash_motifs[".pagesByType"];
$tdatadash_motifs[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdatadash_motifs[".originalPages"] = $tdatadash_motifs[".pages"];
$tdatadash_motifs[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdatadash_motifs[".originalDefaultPages"] = $tdatadash_motifs[".defaultPages"];


//	field labels
$fieldLabelsdash_motifs = array();
$pageTitlesdash_motifs = array();

if(mlang_getcurrentlang()=="French")
{
	$fieldLabelsdash_motifs["French"] = array();
	$fieldLabelsdash_motifs["French"]["motif_depose_iDMotifDepose"] = "IDMotifDepose";
	$fieldLabelsdash_motifs["French"]["motif_depose_MotifDepose"] = "Motif de dépose";
	$fieldLabelsdash_motifs["French"]["motif_depose_Reutilisable"] = "Compteur réutilisable";
	$fieldLabelsdash_motifs["French"]["motif_pose_iDMotifPose"] = "iD";
	$fieldLabelsdash_motifs["French"]["motif_pose_MotifPose"] = "Motif de pose";
}

//	search fields
$tdatadash_motifs[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"motif_depose", "field"=>"iDMotifDepose" );
$tdatadash_motifs[".searchFields"]["motif_depose_iDMotifDepose"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"motif_depose", "field"=>"MotifDepose" );
$tdatadash_motifs[".searchFields"]["motif_depose_MotifDepose"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"motif_depose", "field"=>"Reutilisable" );
$tdatadash_motifs[".searchFields"]["motif_depose_Reutilisable"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"motif_pose", "field"=>"iDMotifPose" );
$tdatadash_motifs[".searchFields"]["motif_pose_iDMotifPose"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"motif_pose", "field"=>"MotifPose" );
$tdatadash_motifs[".searchFields"]["motif_pose_MotifPose"] = $dashField;

// all search fields
$tdatadash_motifs[".allSearchFields"] = array();
$tdatadash_motifs[".allSearchFields"][] = "motif_depose_iDMotifDepose";
$tdatadash_motifs[".allSearchFields"][] = "motif_depose_MotifDepose";
$tdatadash_motifs[".allSearchFields"][] = "motif_depose_Reutilisable";
$tdatadash_motifs[".allSearchFields"][] = "motif_pose_iDMotifPose";
$tdatadash_motifs[".allSearchFields"][] = "motif_pose_MotifPose";

// good like search fields
$tdatadash_motifs[".googleLikeFields"] = array();
$tdatadash_motifs[".googleLikeFields"][] = "motif_depose_iDMotifDepose";
$tdatadash_motifs[".googleLikeFields"][] = "motif_depose_MotifDepose";
$tdatadash_motifs[".googleLikeFields"][] = "motif_depose_Reutilisable";
$tdatadash_motifs[".googleLikeFields"][] = "motif_pose_iDMotifPose";
$tdatadash_motifs[".googleLikeFields"][] = "motif_pose_MotifPose";

$tdatadash_motifs[".dashElements"] = array();

	$dbelement = array( "elementName" => "motif_depose_list", "table" => "motif_depose",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "cell_0_0";

					$dbelement["inlineAdd"] = 1 > 0;
	$dbelement["inlineEdit"] = 1 > 0;
	$dbelement["deleteRecord"] = 0 > 0;
	$dbelement["copy"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;

	$dbelement["updateSelected"] = 0 > 0;


	$tdatadash_motifs[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "motif_pose_list", "table" => "motif_pose",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "cell_0_1";

					$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 1 > 0;
	$dbelement["deleteRecord"] = 0 > 0;
	$dbelement["copy"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;

	$dbelement["updateSelected"] = 0 > 0;


	$tdatadash_motifs[".dashElements"][] = $dbelement;

$tdatadash_motifs[".shortTableName"] = "dash_motifs";
$tdatadash_motifs[".entityType"] = 4;



$tableEvents["Dash_motifs"] = new eventsBase;
$tdatadash_motifs[".hasEvents"] = false;


$tdatadash_motifs[".tableType"] = "dashboard";


																										
$tdatadash_motifs[".addPageEvents"] = false;

$tdatadash_motifs[".isUseAjaxSuggest"] = true;

$tables_data["Dash_motifs"]=&$tdatadash_motifs;
$field_labels["Dash_motifs"] = &$fieldLabelsdash_motifs;
$page_titles["Dash_motifs"] = &$pageTitlesdash_motifs;

?>