<?php
require_once(getabspath("classes/cipherer.php"));



$tdatadashboard = array();
$tdatadashboard[".ShortName"] = "dashboard";

$tdatadashboard[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdatadashboard[".originalPagesByType"] = $tdatadashboard[".pagesByType"];
$tdatadashboard[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdatadashboard[".originalPages"] = $tdatadashboard[".pages"];
$tdatadashboard[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdatadashboard[".originalDefaultPages"] = $tdatadashboard[".defaultPages"];


//	field labels
$fieldLabelsdashboard = array();
$pageTitlesdashboard = array();

if(mlang_getcurrentlang()=="French")
{
	$fieldLabelsdashboard["French"] = array();
	$fieldLabelsdashboard["French"]["a_req_test_AgenceID"] = "Agence";
	$fieldLabelsdashboard["French"]["a_req_test_Diametre"] = "Diamètre";
	$fieldLabelsdashboard["French"]["a_req_test_ctr_neuf"] = "Compteur Neuf";
	$fieldLabelsdashboard["French"]["a_req_test_ctr_ancien"] = "Compteur Ancien";
	$fieldLabelsdashboard["French"]["a_req_test_NbCompteur"] = "Total Compteur";
}

//	search fields
$tdatadashboard[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"nb_ctr_par_agence", "field"=>"AgenceID" );
$tdatadashboard[".searchFields"]["a_req_test_AgenceID"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"nb_ctr_par_agence", "field"=>"Diametre" );
$tdatadashboard[".searchFields"]["a_req_test_Diametre"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"nb_ctr_par_agence", "field"=>"ctr_neuf" );
$tdatadashboard[".searchFields"]["a_req_test_ctr_neuf"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"nb_ctr_par_agence", "field"=>"ctr_ancien" );
$tdatadashboard[".searchFields"]["a_req_test_ctr_ancien"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"nb_ctr_par_agence", "field"=>"NbCompteur" );
$tdatadashboard[".searchFields"]["a_req_test_NbCompteur"] = $dashField;

// all search fields
$tdatadashboard[".allSearchFields"] = array();
$tdatadashboard[".allSearchFields"][] = "a_req_test_AgenceID";
$tdatadashboard[".allSearchFields"][] = "a_req_test_Diametre";
$tdatadashboard[".allSearchFields"][] = "a_req_test_ctr_neuf";
$tdatadashboard[".allSearchFields"][] = "a_req_test_ctr_ancien";
$tdatadashboard[".allSearchFields"][] = "a_req_test_NbCompteur";

// good like search fields
$tdatadashboard[".googleLikeFields"] = array();
$tdatadashboard[".googleLikeFields"][] = "a_req_test_AgenceID";
$tdatadashboard[".googleLikeFields"][] = "a_req_test_Diametre";
$tdatadashboard[".googleLikeFields"][] = "a_req_test_ctr_neuf";
$tdatadashboard[".googleLikeFields"][] = "a_req_test_ctr_ancien";
$tdatadashboard[".googleLikeFields"][] = "a_req_test_NbCompteur";

$tdatadashboard[".dashElements"] = array();

	$dbelement = array( "elementName" => "dashboard_snippet", "table" => "Dashboard",
		 "pageName" => "","type" => 7);
	$dbelement["cellName"] = "cell_0_0";

				$dbelement["snippetId"] = "Dashboard_CTR_DIAM";


	$tdatadashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "dashboard_snippet1", "table" => "Dashboard",
		 "pageName" => "","type" => 7);
	$dbelement["cellName"] = "cell_1_0";

				$dbelement["snippetId"] = "Dashboard_CTR_AGENCE";


	$tdatadashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "dashboard_snippet2", "table" => "Dashboard",
		 "pageName" => "","type" => 7);
	$dbelement["cellName"] = "cell_1_1";

				$dbelement["snippetId"] = "Dashboard_snippet";


	$tdatadashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "a_req_test_list", "table" => "nb_ctr_par_agence",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "cell_2_0";

					$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 0 > 0;
	$dbelement["deleteRecord"] = 0 > 0;
	$dbelement["copy"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;

	$dbelement["updateSelected"] = 0 > 0;


	$tdatadashboard[".dashElements"][] = $dbelement;

$tdatadashboard[".shortTableName"] = "dashboard";
$tdatadashboard[".entityType"] = 4;




include_once(getabspath("include/dashboard_events.php"));
$tableEvents["Dashboard"] = new eventclass_dashboard;
$tdatadashboard[".hasEvents"] = true;


$tdatadashboard[".tableType"] = "dashboard";


																										
$tdatadashboard[".addPageEvents"] = false;

$tdatadashboard[".isUseAjaxSuggest"] = true;

$tables_data["Dashboard"]=&$tdatadashboard;
$field_labels["Dashboard"] = &$fieldLabelsdashboard;
$page_titles["Dashboard"] = &$pageTitlesdashboard;

?>